%define _mozillapath	%{_libdir}/mozilla/plugins

%define name		djvulibre
%define release		%mkrel 2
%define version		3.5.18

%define major		15
%define libname		%mklibname %{name} %major
%define libnamedev	%mklibname %{name} %major -d

Summary:		DjVu viewers, encoders and utilities
Name:			%{name}
Version:		%{version}
Release:		%{release}
# homepage doesn't link to the most recent files
URL:			http://sourceforge.net/project/showfiles.php?group_id=32953
License:		GPL
Group:			Publishing
Source:			http://download.sourceforge.net/djvu/%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		ImageMagick
BuildRequires:		qt3-devel
BuildRequires:		libxt-devel
BuildRequires:		xdg-utils
BuildRequires:		gnome-mime-data
BuildRequires:		kdelibs-common

%description
DjVu is a web-centric format and software platform for distributing 
documents and images.  DjVu content downloads faster, displays and 
renders faster, looks nicer on a screen, and consume less client 
resources than competing formats. DjVu was originally developed at AT&T 
Labs-Research by Leon Bottou, Yann LeCun, Patrick Haffner, and many 
others.  In March 2000, AT&T sold DjVu to LizardTech Inc. who now 
distributes Windows/Mac plug-ins, and commercial encoders (mostly on 
Windows)

In an effort to promote DjVu as a Web standard, the LizardTech 
management was enlightened enough to release the reference 
implementation of DjVu under the GNU GPL in October 2000.  DjVuLibre 
(which means free DjVu), is an enhanced version of that code maintained 
by the original inventors of DjVu. It is compatible with version 3.5 of 
the LizardTech DjVu software suite.

DjVulibre-3.5 contains:
- a standalone DjVu viewer based on the Qt library. 
- A browser plugin that works with most Unix browsers.
- A full-fledged wavelet-based compressor for pictures. 
- A simple compressor for bitonal (black and white) scanned pages. 
- A compressor for palettized images (a la GIF/PNG). 
- A set of utilities to manipulate and assemble DjVu images and documents. 
- A set of decoders to convert DjVu to a number of other formats. 
- An up-to-date version of the C++ DjVu Reference Library.

%package -n %libname
Summary:		DjVulibre library
Group:			System/Libraries

%description -n %libname
Djvulibre libraries

%package -n %libnamedev
Summary:		DjVulibre development files
Group:			Development/Other
Requires:		%libname = %version
Provides:		libdjvulibre-devel = %version-%release

%description -n %libnamedev
DjVulibre development files.

%package browser-plugin
Summary:		DjVulibre browser plugin
Group:			Publishing
Requires:		%name = %version

%description browser-plugin
A browser plugin that works with most Unix browsers.

%prep
%setup -q

%build
export QT_CFLAGS="-I%{_prefix}/lib/qt3/include"
export QT_LIBS="-L%{_prefix}/lib/qt3/%{_lib} -lqt-mt"
export MOC="L%{_prefix}/lib/qt3/bin/moc"
%configure2_5x --enable-shared \
	   --enable-djview \
	   --enable-xmltools \
	   --enable-threads \
	   --enable-debug \
	   --enable-i18n \
	   --enable-desktopfiles
#	   --enable-rpo \


# Don't use %%make here
%{__make} depend
%{__make}

%install
%{__rm} -rf %{buildroot}
%makeinstall
# Quick fix to stop ldconfig from complaining
find %{buildroot}%{_libdir} -name "*.so*" -exec chmod 755 {} \;
# Quick cleanup of the docs
rm -rf doc/CVS 2>/dev/null || :
# fix wrong-script-end-of-line-encoding 
find %{buildroot}%{_datadir}/djvu/osi -type f -name '*.xml' -exec \
%{__perl} -pi -e 's|\r||g' {} ';'

mkdir -p %{buildroot}%{_mozillapath}
mv %{buildroot}%{_libdir}/netscape/plugins/nsdejavu.so \
	%{buildroot}%{_mozillapath}/
ln -s %{_mozillapath}/nsdejavu.so \
         %{buildroot}%{_libdir}/netscape/plugins/nsdejavu.so

# remove original menu (sorry)
rm -rf %{buildroot}%{_menudir}/*

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
command="%{_bindir}/djview"\
title="DjView"\
longtitle="DjVulibre viewer"\
needs="x11"\
icon="djvulibre-djview3.png"\
isection="Office/Publishing" \
xdg="true"
EOF

#gw don't rely on xdg-utils but install them manually
mkdir %buildroot%_datadir/applications
mv %buildroot%_datadir/djvu/djview3/desktop/djvulibre-djview3.desktop %buildroot%_datadir/applications/
mkdir -p %buildroot%_datadir/icons/hicolor/32x32/apps
mv %buildroot%_datadir/djvu/djview3/desktop/hi32-djview3.png %buildroot%_datadir/icons/hicolor/32x32/apps/djvulibre-djview3.png
mkdir -p %buildroot%_datadir/icons/hicolor/32x32/mimetypes
mv %buildroot%_datadir/djvu/osi/desktop/hi32-djvu.png %buildroot%_datadir/icons/hicolor/32x32/mimetypes/image-vnd.djvu.mime.png
mkdir -p %buildroot%_datadir/icons/hicolor/22x22/mimetypes
mv %buildroot%_datadir/djvu/osi/desktop/hi22-djvu.png %buildroot%_datadir/icons/hicolor/22x22/mimetypes/image-vnd.djvu.mime.png
mkdir -p %buildroot%_datadir/icons/hicolor/48x48/mimetypes
mv %buildroot%_datadir/djvu/osi/desktop/hi48-djvu.png %buildroot%_datadir/icons/hicolor/48x48/mimetypes/image-vnd.djvu.mime.png
mkdir -p %buildroot%_datadir/mime/packages
mv %buildroot%_datadir/djvu/osi/desktop/djvulibre-mime.xml %buildroot%_datadir/mime/packages


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="X-MandrivaLinux-Office-Publishing" \
  --add-category="Graphics" \
  --add-category="Viewer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%post
%update_menus
%update_icon_cache hicolor
%update_mime_database
%update_desktop_database

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%postun
%clean_menus
%clean_icon_cache hicolor
%clean_mime_database
%clean_desktop_database

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYRIGHT COPYING INSTALL NEWS TODO doc
%{_bindir}/*
%{_datadir}/djvu
%{_mandir}/man1/*
%{_menudir}/*
%{_datadir}/applications/djvulibre-djview3.desktop
%_datadir/mime/packages/*.xml
%_datadir/icons/hicolor/32x32/apps/*
%{_iconsdir}/hicolor/22x22/mimetypes/*
%{_iconsdir}/hicolor/32x32/mimetypes/*
%{_iconsdir}/hicolor/48x48/mimetypes/*

%files -n %libname
%defattr(-, root, root)
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%defattr(-, root, root)
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.*a
%{_includedir}/libdjvu
%_libdir/pkgconfig/*.pc

%files browser-plugin
%defattr(-, root, root)
%{_libdir}/netscape/plugins/nsdejavu.so
%{_mozillapath}/nsdejavu.so


%changelog
* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 3.5.18-2mdv2007.0
+ Revision: 130390
- remove libdjvulibre.so from the plugin package
- Import djvulibre



* Sun Feb  4 2007 Gtz Waschk <waschk@mandriva.org> 3.5.18-1mdv2007.1
- fix mime, icons and desktop entry
- fix buildrequires
- New version 3.5.18

* Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.5.17-5mdv2007.0
- XDG

* Tue Jun  6 2006 Götz Waschk <waschk@mandriva.org> 3.5.17-4mdv2007.0
- fix buildrequires

* Sat May 27 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.5.17-3mdk
- add BuildRequires: kdelibs-common

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 3.5.17-2mdk
- fix devel provides

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 3.5.17-1mdk
- update file list
- disable -frepo
- New release 3.5.17

* Fri Mar 03 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.5.16-3mdk
- add BuildRequires: gnome-mime-data

* Tue Nov 22 2005 Laurent MONTEL <lmontel@mandriva.com> 3.5.16-2
- Remove conflict

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 3.5.16-1mdk
- 3.5.16
- add menu icons

* Thu Mar 17 2005 David Walluck <walluck@mandrake.com> 3.5.14-4mdk
- fix ldconfig location

* Wed Mar 16 2005 David Walluck <walluck@mandrake.com> 3.5.14-3mdk
- fix summary-ended-with-dot
- fix wrong-script-end-of-line-encoding 
- replace hardcoded paths with the correct macro-based paths

* Wed Mar 16 2005 David Walluck <walluck@mandrake.com> 3.5.14-2mdk
- rebuild to fix unresolved symbols
- use %%configure macro

* Thu Aug 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.5.14-1mdk
- 3.5.14

* Thu May 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.5.13-2mdk
- browser plugin is back
- add link to mozilla plugin path

* Mon May 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.5.13-1mdk
- 3.5.13

* Wed May 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.5.12-2mdk
- rebuild
- remove explicit lib dependency

* Mon Sep 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.5.12-1mdk
- 3.5.12

* Fri Jun 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.5.11-1mdk
- 3.5.11

* Wed Apr 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.5.10-2mdk
- separate plugin

* Mon Mar 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.5.10-1mdk
- mandrakized 
- from Leon Bottou rpm

* Thu Feb  6 2003 Leon Bottou <leon@bottou.org> 3.5.10-2
- version 3.5.10-2

* Fri Jan 24 2003 Leon Bottou <leon@bottou.org> 3.5.10-1
- prepared for version 3.5.10

* Wed Oct  9 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.9-2
- fixed logic for uninstalling nsdejavu links.
- copy stuff from the freshrpms spec file.

* Sun Oct  6 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.9-1
- added logic to install nsdejavu for mozilla.

* Wed May 29 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.6-1
- bumped to version 3.5.6-1

* Mon Apr 1 2002  Leon Bottou <leonb@users.sourceforge.net> 3.5.5-2
- changed group to Applications/Publishing

* Tue Mar 25 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.5-2

* Tue Jan 22 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.4-2
- fixed for properly locating the man directory.

* Wed Jan 16 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.3-1

* Fri Dec  7 2001 Leon Bottou <leonb@users.sourceforge.net> 3.5.2-1

* Wed Dec  5 2001 Leon Bottou <leonb@users.sourceforge.net> 3.5.1-1
- created spec file for rh7.x.
